


# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Name    : obconf
Version : 2.0.4
Release : 1%{?dist}
Summary : A graphical configuration editor for the Openbox window manager

Group   : User Interface/X
License : GPLv2+

URL     : http://openbox.org/wiki/ObConf:About

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Source0 : http://openbox.org/dist/obconf/%{name}-%{version}.tar.gz

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

BuildRequires : openbox-devel >= 3.5.2
BuildRequires : startup-notification-devel
BuildRequires : libglade2-devel
BuildRequires : libSM-devel

# BuildRequires : gettext-devel

BuildRequires : desktop-file-utils

BuildRequires : libtool
BuildRequires : pkgconfig

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%description

ObConf is a graphical configuration editor for the Openbox window manager.

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%prep

%setup -q

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%build

%configure      \
--disable-rpath \
--disable-nls

echo '------{?_smp_mflags}       = '"%{?_smp_mflags}"

make %{?_smp_mflags}

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%install

echo '------${RPM_BUILD_ROOT}    = '"${RPM_BUILD_ROOT}"

echo '------{?dist}              = '"%{?dist}"

echo '------{buildroot}          = '"%{buildroot}"

echo '------{_bindir}            = '"%{_bindir}"

echo '------{_sysconfdir}        = '"%{_sysconfdir}"

echo '------{_includedir}        = '"%{_includedir}"

echo '------{_libdir}            = '"%{_libdir}"

echo '------{_datadir}           = '"%{_datadir}"

echo '------{_docdir}            = '"%{_docdir}"

echo '------{_infodir}           = '"%{_infodir}"

echo '------{_mandir}            = '"%{_mandir}"



make install DESTDIR=%{buildroot}

desktop-file-install                                 \
--dir %{buildroot}%{_datadir}/applications           \
--add-category                                       \
X-Fedora                                             \
--delete-original                                    \
%{buildroot}%{_datadir}/applications/%{name}.desktop



rm -frv                                 \
%{buildroot}%{_docdir}                  \
%{buildroot}%{_infodir}                 \
%{buildroot}%{_mandir}                  \
%{buildroot}%{_libdir}/*.la

find ${RPM_BUILD_ROOT} -name '*.la' -exec rm -fv {} ';'

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%post

update-desktop-database             %{_datadir}/applications  &> /dev/null || :

touch                   --no-create %{_datadir}/mime/packages &> /dev/null || :

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%postun

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%posttrans

echo '------{?fedora:-n}         = '"%{?fedora:-n}"

update-mime-database %{?fedora:-n}  %{_datadir}/mime &> /dev/null || :

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%files

%defattr(-,root,root,-)



# %{_bindir}
# %{_datadir}



%{_bindir}/%{name}



%{_datadir}/%{name}/obconf.glade
%{_datadir}/%{name}/video-display.png

%{_datadir}/applications/%{name}.desktop

%{_datadir}/mime/packages/%{name}.xml

%{_datadir}/mimelnk/application/x-openbox-theme.desktop

%{_datadir}/pixmaps/%{name}.png

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%changelog
